Changeset 3056 for ThirdParty/Glpk


Ignore:
Timestamp:
Nov 6, 2013 5:22:36 AM (6 years ago)
Author:
stefan
Message:

add check for -lm; rerun autotools

Location:
ThirdParty/Glpk/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r2985 r3056  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18561853
    18571854# Get the name of the C compiler
    1858 case $build in
     1855
     1856
     1857  # for backward compatibility
     1858  # Check whether --enable-doscompile or --disable-doscompile was given.
     1859if test "${enable_doscompile+set}" = set; then
     1860  enableval="$enable_doscompile"
     1861  enable_doscompile=$enableval
     1862else
     1863  enable_doscompile=no
     1864fi;
     1865
     1866  # Check whether --enable-msvc or --disable-msvc was given.
     1867if test "${enable_msvc+set}" = set; then
     1868  enableval="$enable_msvc"
     1869  enable_msvc=$enableval
     1870else
     1871  enable_msvc=no
     1872     if test "$enable_doscompile" = msvc ; then
     1873       enable_msvc=yes
     1874     elif test "$enable_doscompile" != no ; then
     1875       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1876echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1877   { (exit 1); exit 1; }; }
     1878     fi
     1879
     1880fi;
     1881
     1882  if test "$enable_msvc" = MD; then
     1883    enable_shared=yes
     1884    enable_msvc=yes
     1885  fi
     1886
     1887  if test "$enable_msvc" = yes; then
     1888    case $build in
     1889      *-cygwin* | *-mingw*) ;;
     1890      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1891echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1892   { (exit 1); exit 1; }; } ;;
     1893    esac
     1894  fi
     1895
     1896
     1897 case $build in
    18591898  *-mingw*)
    18601899    if test "${LD+set}" = set; then :; else
     
    18631902    ;;
    18641903 esac
    1865  case $enable_doscompile in
    1866    msvc)
    1867      if test "x${LD+set}" = xset; then :; else
    1868        LD=link
    1869      fi
    1870      ;;
    1871  esac
    1872 
    1873 
    1874  # Check whether --enable-doscompile or --disable-doscompile was given.
    1875 if test "${enable_doscompile+set}" = set; then
    1876   enableval="$enable_doscompile"
    1877   if test "$enable_doscompile" != no; then
    1878      case $build in
    1879        *-cygwin* | *-mingw*) ;;
    1880        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1881 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1882    { (exit 1); exit 1; }; } ;;
    1883      esac
     1904 if test $enable_msvc = yes ; then
     1905   if test "x${LD+set}" = xset; then :; else
     1906     LD=link
    18841907   fi
    1885 else
    1886   enable_doscompile=no
    1887 fi;
    1888  case "$enable_doscompile" in
    1889    mingw)
    1890      case $build in
    1891        *-mingw*) enable_doscompile=no ;;
    1892      esac
    1893      ;;
    1894    msvc|no) ;;
    1895    yes) enable_doscompile=mingw ;;
    1896    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1897                     Try configure --help=recursive." >&5
    1898 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1899                     Try configure --help=recursive." >&2;}
    1900    { (exit 1); exit 1; }; }
    1901       ;;
    1902   esac
    1903   if test "$enable_doscompile" != no ; then
    1904     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1905 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1906   fi
     1908 fi
    19071909
    19081910
     
    19471949case $build in
    19481950  *-cygwin* | *-mingw*)
    1949              if test "$enable_doscompile" = msvc ; then
    1950                comps="icl cl"
     1951             if test "$enable_msvc" = yes ; then
     1952               comps="icl cl gcc"
    19511953             else
    1952                comps="gcc cl"
     1954               comps="gcc icl cl"
    19531955             fi ;;
    19541956  *-*-solaris*)
     
    28032805            ;;
    28042806        esac
    2805         case $enable_doscompile in
    2806           mingw)
    2807             CFLAGS="-mno-cygwin"
    2808             cat >conftest.$ac_ext <<_ACEOF
    2809 /* confdefs.h.  */
    2810 _ACEOF
    2811 cat confdefs.h >>conftest.$ac_ext
    2812 cat >>conftest.$ac_ext <<_ACEOF
    2813 /* end confdefs.h.  */
    2814 
    2815 int
    2816 main ()
    2817 {
    2818 int i=0; i++;
    2819   ;
    2820   return 0;
    2821 }
    2822 _ACEOF
    2823 rm -f conftest.$ac_objext conftest$ac_exeext
    2824 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2825   (eval $ac_link) 2>conftest.er1
    2826   ac_status=$?
    2827   grep -v '^ *+' conftest.er1 >conftest.err
    2828   rm -f conftest.er1
    2829   cat conftest.err >&5
    2830   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2831   (exit $ac_status); } &&
    2832          { ac_try='test -z "$ac_c_werror_flag"
    2833                          || test ! -s conftest.err'
    2834   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2835   (eval $ac_try) 2>&5
    2836   ac_status=$?
    2837   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2838   (exit $ac_status); }; } &&
    2839          { ac_try='test -s conftest$ac_exeext'
    2840   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2841   (eval $ac_try) 2>&5
    2842   ac_status=$?
    2843   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2844   (exit $ac_status); }; }; then
    2845   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2846 else
    2847   echo "$as_me: failed program was:" >&5
    2848 sed 's/^/| /' conftest.$ac_ext >&5
    2849 
    2850 fi
    2851 rm -f conftest.err conftest.$ac_objext \
    2852       conftest$ac_exeext conftest.$ac_ext
    2853             CFLAGS=
    2854           ;;
    2855         esac
    28562807    esac
    28572808  fi
     
    30543005fi
    30553006
    3056 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3057 
    3058 case "$CFLAGS" in
    3059   *-mno-cygwin*)
    3060     if test x${CPPFLAGS+set} != xset ; then
    3061       CPPFLAGS="-mno-cygwin"
    3062     else
    3063       case "$CPPFLAGS" in
    3064         *-mno-cygwin*)
    3065           ;;
    3066         *)
    3067           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3068           ;;
    3069       esac
    3070     fi ;;
    3071 esac
    3072 
    30733007# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    30743008if test x$COIN_PRJCT != x; then
     
    31943128  clang* ) ;;
    31953129  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3196     case $build in
     3130
     3131 case $build in
    31973132  *-mingw*)
    31983133    if test "${LD+set}" = set; then :; else
     
    32013136    ;;
    32023137 esac
    3203  case $enable_doscompile in
    3204    msvc)
    3205      if test "x${LD+set}" = xset; then :; else
    3206        LD=link
    3207      fi
    3208      ;;
    3209  esac
     3138 if test $enable_msvc = yes ; then
     3139   if test "x${LD+set}" = xset; then :; else
     3140     LD=link
     3141   fi
     3142 fi
    32103143
    32113144    ;;
     
    33863319  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    33873320  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    3388   if test -e ../coin_subdirs.txt ; then
     3321  if test -f ../coin_subdirs.txt ; then
    33893322    for i in `cat ../coin_subdirs.txt` ; do
    33903323      if test -d ../$i ; then
     
    33973330  fi
    33983331
    3399   if test -e ../../coin_subdirs.txt ; then
     3332  if test -f ../../coin_subdirs.txt ; then
    34003333    for i in `cat ../../coin_subdirs.txt` ; do
    34013334      if test -d ../../$i ; then
     
    34463379            ;;
    34473380          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3448             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    3449 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     3381            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     3382echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    34503383            ;;
    34513384          *)
     
    45184451
    45194452LIBTOOL=
    4520 if test -r ../libtool; then
     4453if test -f ../libtool; then
    45214454  coin_config_dir=..
    45224455  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    45234456fi
    45244457if test "x$LIBTOOL" = x; then
    4525   if test -r ../../libtool; then
     4458  if test -f ../../libtool; then
    45264459    coin_config_dir=../..
    45274460    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    50695002*-*-irix6*)
    50705003  # Find out which ABI we are using.
    5071   echo '#line 5071 "configure"' > conftest.$ac_ext
     5004  echo '#line 5004 "configure"' > conftest.$ac_ext
    50725005  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50735006  (eval $ac_compile) 2>&5
     
    66686601
    66696602# Provide some information about the compiler.
    6670 echo "$as_me:6670:" \
     6603echo "$as_me:6603:" \
    66716604     "checking for Fortran 77 compiler version" >&5
    66726605ac_compiler=`set X $ac_compile; echo $2`
     
    77357668   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77367669   -e 's:$: $lt_compiler_flag:'`
    7737    (eval echo "\"\$as_me:7737: $lt_compile\"" >&5)
     7670   (eval echo "\"\$as_me:7670: $lt_compile\"" >&5)
    77387671   (eval "$lt_compile" 2>conftest.err)
    77397672   ac_status=$?
    77407673   cat conftest.err >&5
    7741    echo "$as_me:7741: \$? = $ac_status" >&5
     7674   echo "$as_me:7674: \$? = $ac_status" >&5
    77427675   if (exit $ac_status) && test -s "$ac_outfile"; then
    77437676     # The compiler can only warn and ignore the option if not recognized
     
    80037936   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80047937   -e 's:$: $lt_compiler_flag:'`
    8005    (eval echo "\"\$as_me:8005: $lt_compile\"" >&5)
     7938   (eval echo "\"\$as_me:7938: $lt_compile\"" >&5)
    80067939   (eval "$lt_compile" 2>conftest.err)
    80077940   ac_status=$?
    80087941   cat conftest.err >&5
    8009    echo "$as_me:8009: \$? = $ac_status" >&5
     7942   echo "$as_me:7942: \$? = $ac_status" >&5
    80107943   if (exit $ac_status) && test -s "$ac_outfile"; then
    80117944     # The compiler can only warn and ignore the option if not recognized
     
    81078040   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81088041   -e 's:$: $lt_compiler_flag:'`
    8109    (eval echo "\"\$as_me:8109: $lt_compile\"" >&5)
     8042   (eval echo "\"\$as_me:8042: $lt_compile\"" >&5)
    81108043   (eval "$lt_compile" 2>out/conftest.err)
    81118044   ac_status=$?
    81128045   cat out/conftest.err >&5
    8113    echo "$as_me:8113: \$? = $ac_status" >&5
     8046   echo "$as_me:8046: \$? = $ac_status" >&5
    81148047   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81158048   then
     
    1045210385  lt_status=$lt_dlunknown
    1045310386  cat > conftest.$ac_ext <<EOF
    10454 #line 10454 "configure"
     10387#line 10387 "configure"
    1045510388#include "confdefs.h"
    1045610389
     
    1055210485  lt_status=$lt_dlunknown
    1055310486  cat > conftest.$ac_ext <<EOF
    10554 #line 10554 "configure"
     10487#line 10487 "configure"
    1055510488#include "confdefs.h"
    1055610489
     
    1289612829   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289712830   -e 's:$: $lt_compiler_flag:'`
    12898    (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
     12831   (eval echo "\"\$as_me:12831: $lt_compile\"" >&5)
    1289912832   (eval "$lt_compile" 2>conftest.err)
    1290012833   ac_status=$?
    1290112834   cat conftest.err >&5
    12902    echo "$as_me:12902: \$? = $ac_status" >&5
     12835   echo "$as_me:12835: \$? = $ac_status" >&5
    1290312836   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290412837     # The compiler can only warn and ignore the option if not recognized
     
    1300012933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300112934   -e 's:$: $lt_compiler_flag:'`
    13002    (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
     12935   (eval echo "\"\$as_me:12935: $lt_compile\"" >&5)
    1300312936   (eval "$lt_compile" 2>out/conftest.err)
    1300412937   ac_status=$?
    1300512938   cat out/conftest.err >&5
    13006    echo "$as_me:13006: \$? = $ac_status" >&5
     12939   echo "$as_me:12939: \$? = $ac_status" >&5
    1300712940   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300812941   then
     
    1457014503   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457114504   -e 's:$: $lt_compiler_flag:'`
    14572    (eval echo "\"\$as_me:14572: $lt_compile\"" >&5)
     14505   (eval echo "\"\$as_me:14505: $lt_compile\"" >&5)
    1457314506   (eval "$lt_compile" 2>conftest.err)
    1457414507   ac_status=$?
    1457514508   cat conftest.err >&5
    14576    echo "$as_me:14576: \$? = $ac_status" >&5
     14509   echo "$as_me:14509: \$? = $ac_status" >&5
    1457714510   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457814511     # The compiler can only warn and ignore the option if not recognized
     
    1467414607   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467514608   -e 's:$: $lt_compiler_flag:'`
    14676    (eval echo "\"\$as_me:14676: $lt_compile\"" >&5)
     14609   (eval echo "\"\$as_me:14609: $lt_compile\"" >&5)
    1467714610   (eval "$lt_compile" 2>out/conftest.err)
    1467814611   ac_status=$?
    1467914612   cat out/conftest.err >&5
    14680    echo "$as_me:14680: \$? = $ac_status" >&5
     14613   echo "$as_me:14613: \$? = $ac_status" >&5
    1468114614   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468214615   then
     
    1688116814   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688216815   -e 's:$: $lt_compiler_flag:'`
    16883    (eval echo "\"\$as_me:16883: $lt_compile\"" >&5)
     16816   (eval echo "\"\$as_me:16816: $lt_compile\"" >&5)
    1688416817   (eval "$lt_compile" 2>conftest.err)
    1688516818   ac_status=$?
    1688616819   cat conftest.err >&5
    16887    echo "$as_me:16887: \$? = $ac_status" >&5
     16820   echo "$as_me:16820: \$? = $ac_status" >&5
    1688816821   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688916822     # The compiler can only warn and ignore the option if not recognized
     
    1714917082   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1715017083   -e 's:$: $lt_compiler_flag:'`
    17151    (eval echo "\"\$as_me:17151: $lt_compile\"" >&5)
     17084   (eval echo "\"\$as_me:17084: $lt_compile\"" >&5)
    1715217085   (eval "$lt_compile" 2>conftest.err)
    1715317086   ac_status=$?
    1715417087   cat conftest.err >&5
    17155    echo "$as_me:17155: \$? = $ac_status" >&5
     17088   echo "$as_me:17088: \$? = $ac_status" >&5
    1715617089   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715717090     # The compiler can only warn and ignore the option if not recognized
     
    1725317186   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725417187   -e 's:$: $lt_compiler_flag:'`
    17255    (eval echo "\"\$as_me:17255: $lt_compile\"" >&5)
     17188   (eval echo "\"\$as_me:17188: $lt_compile\"" >&5)
    1725617189   (eval "$lt_compile" 2>out/conftest.err)
    1725717190   ac_status=$?
    1725817191   cat out/conftest.err >&5
    17259    echo "$as_me:17259: \$? = $ac_status" >&5
     17192   echo "$as_me:17192: \$? = $ac_status" >&5
    1726017193   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1726117194   then
     
    2055220485
    2055320486
     20487
     20488
     20489if test $coin_cc_is_cl != true ; then
     20490
     20491fi
     20492
     20493
     20494
    2055420495###########################################################################
    2055520496#                     Database connectivity                               #
     
    2201021951echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2201121952coin_link_input_cmd="$LN_S"
    22012 if test "$enable_doscompile" = mingw; then
    22013   coin_link_input_cmd=cp
    22014 fi
    2201521953case "$CC" in
    2201621954  clang* ) ;;
  • ThirdParty/Glpk/trunk/configure.ac

    r2711 r3056  
    8282
    8383AC_LANG_POP(C)
     84
     85AC_COIN_CHECK_LIBM
    8486
    8587###########################################################################
Note: See TracChangeset for help on using the changeset viewer.